Subject: Re: [dhcwg] RFC8415 Virtual Plugfest

From: Timothy Winters <[email-masked]>
Date: Fri, 1 May 2020 16:02:22 -0400

Hi Bernie,

You are right about the typo in Step 5.  I fixed that and added additional
steps for checking the IANA in future messages.  We'll post an updated
version shortly.

~Tim

On Wed, Apr 29, 2020 at 4:08 PM Bernie Volz (volz) <[email-masked]> wrote:

> Hi Tim:
>
>
>
> Just starting to look at this. Sorry for the delay; don’t know if anyone
> else has provided any feedback.
>
>
>
> Test DHCPInterop.2.3: Address Lifetime seems to be broken? Part A, step 5.
> If the valid lifetime was 60 seconds, one would NOT except an ECHO REPLY
> from the TAR-Client1 after waiting 65 seconds. Also, be good to add the
> same check as for IA_PD – that no Renew/Rebind are sent from TAR-Client1
> after the 65 second wait. It might also be useful to specify how long
> someone should check as to whether Renew/Rebind are sent (probably best to
> wait about 2 min). The part B steps are also odd as it is about “addresses”
> not delegated prefixes.
>
>
>
> I’ll hopefully provide additional feedback soon after reviewing the entire
> document.
>
>
>
>    - Bernie
>
>
>
> *From:* dhcwg <[email-masked]> *On Behalf Of * Timothy Winters
> *Sent:* Monday, March 30, 2020 12:00 PM
> *To:* dhcwg <[email-masked]>
> *Cc:* [email-masked]
> *Subject:* Re: [dhcwg] RFC8415 Virtual Plugfest
>
>
>
> We were going to wait until after the plugfest to verify the test plan.
> With the delay in starting the plugfest we want to release IPv6 Ready
> Interoperability test plan for review.
>
>
>
>
> https://www.iol.unh.edu/sites/default/files/testsuites/ipv6/IPv6_Ready_Test_Specification_DHCPv6_Interoperability_2_0_0.pdf
>
>
>
> Let me know if you think there are additional Interoperability test cases
> that could be added.  Most of the new test cases are in Section 2.
>
>
>
> Regards,
>
> Tim
>
>
>
> On Mon, Mar 23, 2020 at 1:44 PM Timothy Winters <[email-masked]> wrote:
>
> Hi Tim,
>
>
>
> Thanks for the update, looking forward to a day when things are back to
> normal.
>
>
>
> ~Tim
>
>
>
> On Mon, Mar 23, 2020 at 1:42 PM Timothy Carlin <[email-masked]>
> wrote:
>
> Hello again,
>
>
>
> I wanted to provide a brief update on the virtual plugfest..
>
>
>
> Due to the ongoing COVID-19 situation the plugfest has been postponed.  We
> are still very interested in running this event and providing feedback to
> the group.  We will continue this work as soon as possible once UNH has
> returned to full operations.
>
>
>
> Please feel free to reach out with any questions.
>
>
>
> Best Regards,
>
> Tim
>
>
>
> On Wed, Feb 19, 2020 at 12:50 PM Timothy Carlin <[email-masked]>
> wrote:
>
> Hello,
>
>
>
> UNH-IOL is planning to run a virtual plugfest for RFC 8415 during the week
> of March 16 with the goal of generating a DHCP whitepaper to help drive
> 8415 to Internet Standard.
>
>
>
> If you are interested in having your implementation included, please
> contact me directly.  There is no charge for participating.
>
>
>
> Best Regards,
>
> Tim Carlin, UNH-IOL
>
> [email-masked]
>
> _______________________________________________
> dhcwg mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/dhcwg
>
>

---

From: "Bernie Volz (volz)" <[email-masked]>
Date: Fri, 8 May 2020 15:49:40 +0000

Here’s a more complete review of the document:

Page 7 – References: Not sure if [DHCPv6] is really used anywhere, as this seems to be [8415] or [RFC 8415] in sections that list references.
Also, [4443] is referenced and not listed (perhaps this is the [ICMPv6] reference).

1.1:
- Part B & C – Do you really want to include the RENEW here as it is part of Test 1.3? And, if so, why not do it for the IA_NA (i.e., after step 5) too?

1.2:
- Would it make sense to include a IA_PD Rebind test (and also a IA_NA + IA_PD test to assure Rebind done in that case too) to “confirm”? Section 1.4 does Rebind test but only for the case when the server is removed from network during Renew time.

1.4:
Step 7 & 9 – change “IPv6 address” to “delegated prefix”?
Step 12 & 14– Like above, but address/prefix information?

1.5:
Purpose – “IPv6 addresses and/or delegated prefixes” instead of just “IPv6 addresses”?
Step 13 – “address and prefix” and also reference to step 6 should be step 10.

1.7:
Step 2 – Shouldn’t there be a check to make sure server transmits DNS Recursive Name Server option?
Step 5 – Same to assure both DNS options sent to client?

1.8:
Step 2 – Should there be a check to make sure server is returning NoAddrsAvail (2) Status Code in IA_NA (instead of at the top “level”)?
Step 4 – Status code is 6 for NoPrefixAvail, not 2.

Would additional tests to see what happens if client request IA_NA + IA_PD and server is only configured for one – client should use what it got?

1.10:
Step 1 – There is no “TAR-Router1”? Perhaps this was to be “REF-Router for network 1”?
And, there’s no REF-DNS1 in the diagram?
Also, shouldn’t this configure the M bit in the RA (for Network 1)?
Step 21 – “REF-DNS-Server1” is mentioned but not in diagram (see Step 1, REF-DNS1)?)
Step 22 – Minor – 2 periods
Step 26 – Minor – comma ends sentence

1.11:
I think these diagrams are messed up a bit? “Part A-B” and then Part B are the same (though Part B has typo in the Network 2 to 3 Relay is “TAR-Relay-Agent1”).
Part C is also the same as Part A-B/B?
Part D seems to be the same as Part C, but relay agent numbering is switched? Not sure why?
Part E-H have no diagrams? I’m not really sure what each of these tests is designed to do … seems like multiple hop relay which is fine; but the off/on link is a bit unclear (is this where the relay or server is located – on or off link)?
Step 9 – Shouldn’t DHCP server be configured to send DNS option?
Step 12 – It is a Reply, not advertise message?
Step 20 – Minor – 2 periods
Step 32 – Minor – comma ends sentence

Likely once diagrams are cleared up, be useful to re-review this to better check if all is well with the steps.

2.1:
- Step 1 & 7 – I think in this case you want T1 to be 0, T2 should be what it usually is?
- Step 4 & 10 – Same here – T2 should be 0, T1 should be what is usually is?

2.3:
Step 5 – Expected Behavior here would be for TAR-Client-1 NOT to respond as lease has expired.
Step 6 & 7 – “assign addresses” should be “delegated prefix”?
Step 9, should reference step 7, not 6.

2.4:
Step 5 – Should expected behavior indicate that server must send old address with 0 lifetimes?
Step 11 – Same, but old PD with 0 lifetimes?

2.5:
Step 5 – SOL_MAX_RT should be INF_MAX_RT.

2.6:
Step 1 & 6 – TAR-Client1 should receive IPv6 address and delegated prefix information
Step 9 – How do you expected to monitor this “Expected Behavior” when the device has been disconnected from the network? And why would it “reboot”?

  *   Bernie

From: Bernie Volz (volz)
Sent: Wednesday, April 29, 2020 4:08 PM
To: Timothy Winters <[email-masked]>; dhcwg <[email-masked]>
Cc: [email-masked]
Subject: RE: [dhcwg] RFC8415 Virtual Plugfest

Hi Tim:

Just starting to look at this. Sorry for the delay; don’t know if anyone else has provided any feedback.

Test DHCPInterop.2.3: Address Lifetime seems to be broken? Part A, step 5. If the valid lifetime was 60 seconds, one would NOT except an ECHO REPLY from the TAR-Client1 after waiting 65 seconds. Also, be good to add the same check as for IA_PD – that no Renew/Rebind are sent from TAR-Client1 after the 65 second wait. It might also be useful to specify how long someone should check as to whether Renew/Rebind are sent (probably best to wait about 2 min). The part B steps are also odd as it is about “addresses” not delegated prefixes.

I’ll hopefully provide additional feedback soon after reviewing the entire document.

  *   Bernie

From: dhcwg <[email-masked]> On Behalf Of Timothy Winters
Sent: Monday, March 30, 2020 12:00 PM
To: dhcwg <[email-masked]>
Cc: [email-masked]
Subject: Re: [dhcwg] RFC8415 Virtual Plugfest

We were going to wait until after the plugfest to verify the test plan.  With the delay in starting the plugfest we want to release IPv6 Ready Interoperability test plan for review.

Let me know if you think there are additional Interoperability test cases that could be added.  Most of the new test cases are in Section 2.

Regards,
Tim

On Mon, Mar 23, 2020 at 1:44 PM Timothy Winters <[email-masked]<mailto:[email-masked]>> wrote:
Hi Tim,

Thanks for the update, looking forward to a day when things are back to normal.

~Tim

On Mon, Mar 23, 2020 at 1:42 PM Timothy Carlin <[email-masked]<mailto:[email-masked]>> wrote:
Hello again,

Due to the ongoing COVID-19 situation the plugfest has been postponed.  We are still very interested in running this event and providing feedback to the group.  We will continue this work as soon as possible once UNH has returned to full operations.

Best Regards,
Tim

On Wed, Feb 19, 2020 at 12:50 PM Timothy Carlin <[email-masked]<mailto:[email-masked]>> wrote:
Hello,

UNH-IOL is planning to run a virtual plugfest for RFC 8415 during the week of March 16 with the goal of generating a DHCP whitepaper to help drive 8415 to Internet Standard.

If you are interested in having your implementation included, please contact me directly.  There is no charge for participating.

Best Regards,
Tim Carlin, UNH-IOL
[email-masked]<mailto:[email-masked]>
_______________________________________________
dhcwg mailing list
[email-masked]<mailto:[email-masked]>
https://www.ietf.org/mailman/listinfo/dhcwg